"""Added request status and date

Revision ID: 4669a0aecef8
Revises: eab73f1e1ca4
Create Date: 2022-03-04 08:32:44.848096+01:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "4669a0aecef8"
down_revision = "eab73f1e1ca4"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "documents",
        sa.Column("uuid", postgresql.UUID(as_uuid=True), nullable=False),
    )
    op.create_index(op.f("ix_documents_uuid"), "documents", ["uuid"], unique=False)
    op.add_column(
        "request_status",
        sa.Column("request_status", sa.String(), nullable=True),
    )
    op.add_column(
        "request_status",
        sa.Column("request_status_date", sa.Date(), nullable=True),
    )
    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("request_status", "request_status_date")
    op.drop_column("request_status", "request_status")
    op.drop_index(op.f("ix_documents_uuid"), table_name="documents")
    op.drop_column("documents", "uuid")
    # ### end Alembic commands ###
